Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source
Class MappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.metamodel.source.MappingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MappingNotFoundException

    public class MappingException

extends HibernateException

Indicates a problem parsing a mapping document.

See Also:
  Serialized Form

Constructor Summary
`MappingException(String message, Origin origin)`
`MappingException(String message, Throwable root, Origin origin)`

Method Summary
`Origin` | `getOrigin()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingException

    public MappingException(String message,
                            Origin origin)

### MappingException

    public MappingException(String message,
                            Throwable root,
                            Origin origin)

Method Detail

### getOrigin

    public Origin getOrigin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.